
import Color from "../Models/Color.js" 

export default Ext.define(null, {
    extend: "Ext.data.Store",
    storeId: 'Color',
    autoLoad: true,
    model: Color,
    sorters:
        { direction: "DESC"
        , property: "state"
        },
    proxy: {
        type: 'ajax',
        url: '/opmon/seagull/www/index.php/opinterface/action/retrieveStateColors',
        reader: {
            type: 'json'
        }
    }
});