Ext.define('NetworkConfiguration.view.Main', {
    extend: 'Ext.container.Container',
    requires:[
        'Ext.tab.Panel',
		'Ext.layout.container.Border',
		'foo.MyClass'
    ],

    xtype: 'app-main',

    layout: {
        type: 'border'
    },

    items: [{
        region: 'west',
        xtype: 'panel',
        title: 'west',
        width: 150
    },{
        region: 'center',
        xtype: 'tabpanel',
        items:[{
            title: 'Center Tab 1'
        }]
	}],

	initComponent: function() {
		var me = this;
		console.log("Aqui");
		Ext.applyIf(me, {
			listeners: {
				beforerender: {
					fn: me.renderizando,
					scope: me
				}
			}
		});

		me.callParent(arguments);
	},

	renderizando: function() {
		console.log ("Na função");
	}
});